### Constructor

# Camel TextIndex new

#### Declaration [src]

    CamelTextIndex*
    camel_text_index_new (
      const gchar* path,
      gint flags
    )

#### Description

No description available.

#### Parameters

`path`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `gint`

  No description available.

#### Return value

Type: `CamelTextIndex`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.